<template>
   <div>
     
    <v-card v-if="$vuetify.breakpoint.smAndDown" rounded="xl" min-height="38px">
          
        <v-list two-line v-if="expanded">
          <v-list-item>
            <v-autocomplete  
                auto-select-first
                clearable
                v-model="$parent.pos_selected"
                hide-details
                :menu-props="{ offsetY: true }"
                :placeholder="$t('options.pos')"
                :items="pos_items"
                append-icon="expand_more"
                @input="updatePos">
            </v-autocomplete>
          </v-list-item>
            <v-list-item>
            <v-checkbox
                v-model="fulltext"
                hide-details
                :label="$t('options.fulltext')"/>
            </v-list-item>

          <v-list-item>
            <v-checkbox  
                v-model="inflected_results"
                hide-details=""
                :label="$t('options.inflected')"/>
                </v-list-item>
        </v-list>
        <v-btn v-if="$vuetify.breakpoint.smAndDown"
          class="search_options"
          v-bind:class="{'expanded': expanded}"
          height="38px"
          rounded
           text
           @click="expanded=!expanded">
           {{expanded? '' : $t('options.title')}}<v-icon small color="primary" :right="!expanded">{{expanded ? 'expand_less': 'expand_more'}}</v-icon></v-btn>
        </v-card>
<div class="desktop_toolbar" v-else>
          <span>
            <v-checkbox  
                v-model="inflected_results"
                dense
                hide-details
                :label="$t('options.inflected')"/>
        </span>
        <span>
        <v-checkbox 
                    v-model="fulltext"
                    dense
                    hide-details
                    :label="$t('options.fulltext')"/>
        </span>
        <span>

             <v-autocomplete  
               auto-select-first

                clearable
                v-model="$parent.pos_selected"
                hide-details
                :menu-props="{ offsetY: true }"
                dense
                :placeholder="$t('options.pos')"
                :items="pos_items"
                append-icon="expand_more"
                @input="updatePos">
            </v-autocomplete>
        </span>
</div>
   </div>
</template>

<script>

export default {
    name: "SearchToolbar",
    data: function() {
      return {
        expanded: false

      }
    },
    computed: {
      inflected_results: {
        get() {
          return this.$parent.scope.includes("i")
        },
        set() {
          if (this.$parent.scope.includes("i")) {
            this.$emit('updateScope', this.$parent.scope.replace("i",""))
          }
          else {
            this.$emit('updateScope', this.$parent.scope + "i")
          }
        }
      },
      fulltext: {
        get() {
          return this.$parent.scope.includes("f")
        },
        set() {
          if (this.$parent.scope.includes("f")) {
            this.$emit('updateScope', this.$parent.scope.replace("f",""))
          }
          else {
            this.$emit('updateScope', this.$parent.scope + "f")
          }
        }
      },
      pos_items: function() {
        return  ["NOUN", "PRON","DET","ADJ","CCONJ","SCONJ", "ADV", "VERB", "INTJ"].map(text =>{
          return {text: this.$t("pos_tags." + text ), value: text}
        })
      
      }
    },
    methods: {
      reset (pos) {
        this.$emit('updatePos', "ALL")
        this.$emit('updateScope', "ei")
      },
      updatePos (pos) {
        this.$emit('updatePos', pos)
      }
  }
}
</script>

<style scoped>

.v-card {
  padding-top: 0px !important;
  padding-bottom: 24px !important;
  padding-top: 10px;
  margin-top: 10px;
  margin-right: 10px;
  margin-left: 10px;
  min-height: 36px;
}

.v-list-item {
  padding-left: 24px;
  padding-right: 24px;
}

.search_options {
    position: absolute;
    min-height: 36px;
    bottom: 0px;
    left: 0px;
    border-radius: 28px;


    float: left;

    width: 100%;
}

.search_options.expanded {
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
  min-height: 24px;
}


.desktop_toolbar {
  display: flex;
  padding-left: 10px;
  margin-left: 10px;
  padding-right: 10px;
  margin-right: 10px;
  gap: 24px;
}

.desktop_toolbar v-combobox {
  width: 300px;
}

</style>

